#ifndef GLOBAL_DEFINES_GLOBAL_DEFINES_H
#define GLOBAL_DEFINES_GLOBAL_DEFINES_H

// check and set correct WIN32 and _WIN32_WINNT version
#if defined( _WIN32 )
# if !defined( WIN32 )
#   define WIN32
# endif
# if defined( _WIN32_WINNT )
#   if _WIN32_WINNT != 0x0501
#     error "Please set consistent _WIN32_WINNT value, expected 0x0501."
#   endif
# else
#   define _WIN32_WINNT 0x0501
# endif
#endif

#endif // GLOBAL_DEFINES_GLOBAL_DEFINES_H
