// UTFsample2.h: interface for the UTFsample2 class.
//
//////////////////////////////////////////////////////////////////////

#ifndef UTFEXAMPLELIB_UTF_SAMPLE2_H
#define UTFEXAMPLELIB_UTF_SAMPLE2_H

#include <string>

namespace utfexamplelib {

class UTFEXAMPLELIB_DECL Sample2Exception 
{
public:
  Sample2Exception() : pucMessage( "this is sample2 exception message" ) {}
  virtual ~Sample2Exception() {}
  
  const char* what() const { return pucMessage; }
private:
  const char* pucMessage;
};

class UTFEXAMPLELIB_DECL UTFsample2
{
  public:
    UTFsample2() {} 
    virtual ~UTFsample2() {}

  public:
    int   doAssert();

    int   addNumbersWithBug( const int iOperand1, const int iOperand2 );

    int   divideNumbersMayThrowException( const int iDivident, const int iDivisor );

    int   doThrowSample2Exception();
   
    int   doThrowOtherThanSample2Exception();

    bool  checkDataInFile( const std::string& rcFileName, const std::string& rcReferenceFileName );

}; // end class

} // end namespace

#endif // UTFEXAMPLELIB_UTF_SAMPLE2_H
