/**
  \ingroup UTFexampleLibLib
  \file    Dummy.cpp
  \brief   This file contains the implementation of class Dummy.
  \author  REPLACE_BY_AUTHOR
  \date    REPLACE_BY_DATE

  Copyright:
  REPLACE_BY_YEAR Fraunhofer Institute for Telecommunications, Heinrich-Hertz-Institut (HHI)
  The copyright of this software source code is the property of HHI.
  This software may be used and/or copied only with the written permission
  of HHI and in accordance with the terms and conditions stipulated
  in the agreement/contract under which the software has been supplied.
  The software distributed under this license is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either expressed or implied.

  Just for demo purposes. The class allows you to initially test that
  you can build an executable UTFexampleLibTest.exe, compile and run
  it both, linked statically (to UTFexampleLibStatic.lib) and
  dynamically (UTFexampleLib.dll).
  ToDo:
  This class should be deleted from your VisaulStudio project and
  you should also delete it in the repository.
*/

#include "UTFexampleLibPch.h"
#include "UTFexampleLib/Dummy.h"
#include <iostream>

#include <cstdio>

namespace UTFexampleLib {

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Dummy::Dummy() : m_uiDummyMember( 0 )
{
}

Dummy::~Dummy()
{
}

void Dummy::printSomething( const std::string& rcString )
{
  std::cerr << rcString << " Press RETURN to continue" << std::endl;

  int i;

  i = std::getchar();
}

int Dummy::addNumbers( const int iOperand1, const int iOperand2 )
{
  // add and return
  return( iOperand1 + iOperand2 );
}

} // namespace UTFexampleLib
