/**
  \ingroup CudaTestLibSample
  \file    CudaTestPch.h
  \brief   This file controls pre-compiled header usage under windows. It must not contain/include any code
  \author  waizenegger@hhi.fraunhofer.de
  \date    6/26/2009

  Copyright:
  2009 Fraunhofer Institute for Telecommunications, Heinrich-Hertz-Institut (HHI)
  The copyright of this software source code is the property of HHI.
  This software may be used and/or copied only with the written permission
  of HHI and in accordance with the terms and conditions stipulated
  in the agreement/contract under which the software has been supplied.
  The software distributed under this license is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either expressed or implied.

  THIS FILE NEEDS TO BE INCLUDED AS THE VERY FIST INCLUDE IN EVERY .cpp FILE
  OF YOUR APPLICATION!!!
*/

/// \cond NEVER_DOC
#ifndef CUDATEST_H
#define CUDATEST_H
/// \endcond

// include global defines
#include "GlobalDefines/GlobalDefines.h"




#endif //CUDATESTLIBSAMPLE_CUDATESTLIBSAMPLE_H
