/**
  \ingroup UTFexampleLibTest
  \file    DummyTester.h
  \brief   This file contains the interface for class DummyTester.
  \author  selinger@hhi.de
  \date     3/3/2009

  Copyright:
  2009 Fraunhofer Institute for Telecommunications, Heinrich-Hertz-Institut (HHI)
  The copyright of this software source code is the property of HHI.
  This software may be used and/or copied only with the written permission
  of HHI and in accordance with the terms and conditions stipulated
  in the agreement/contract under which the software has been supplied.
  The software distributed under this license is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either expressed or implied.
*/

#ifndef UTFEXAMPLELIBTEST_DUMMYTESTER_H
#define UTFEXAMPLELIBTEST_DUMMYTESTER_H

#include <string>

/**
  \ingroup UTFexampleLibTest
  This class contains native C++ test functionality
*/
class DummyTester
{
protected:
  DummyTester() {};
  virtual ~DummyTester() {};

public:
  /// static test method which is called with the file names of reference and test file.
  static bool testAddNumbers( const std::string& rcFileNameRef, const std::string& rcFileNameTest );
};

#endif // UTFEXAMPLELIBTEST_DUMMYTESTER_H
