/**
  \ingroup UTFexampleLibTest
  \file    UTFexampleLibTestPch.h
  \brief   This file controls pre-compiled header usage under windows. It must not contain/include any code
  \author  selinger@hhi.fraunhofer.de
  \date    3/3/2009

  THIS FILE NEEDS TO BE INCLUDED AS THE VERY FIST INCLUDE IN EVERY .cpp FILE
  OF YOUR APPLICATION!!!
*/

/// \cond NEVER_DOC
#ifndef UTFEXAMPLELIBTEST_UTFEXAMPLELIBTESTPCH_H
#define UTFEXAMPLELIBTEST_UTFEXAMPLELIBTESTPCH_H
/// \endcond

// include global defines
#include "GlobalDefines/GlobalDefines.h"

// you might need to change the name of the included Decl.h file for the lib under test
#include "UTFexampleLib/UTFexampleLibDecl.h"

#endif //UTFEXAMPLELIBTEST_UTFEXAMPLELIBTESTPCH_H
