#!/usr/bin/perl
#

use File::Basename;
use File::Spec;
use File::Path;
use English;
use strict 'vars';

my $boost_toolset = 'gcc';
my $boost_toolset_dir_suffix = '';
my $boost_toolset_version;

if( $OSNAME eq 'linux' ) {
  $boost_toolset = 'gcc';

  $boost_toolset_version = `gcc -dumpversion`;
  chomp $boost_toolset_version;

  $boost_toolset_dir_suffix = 'gcc-' . $boost_toolset_version;
}
else {
  die "get_toolset_dir_suffix.pl is not yet supported on $OSNAME\n";
}

print "$boost_toolset_dir_suffix\n";
