/**
  \ingroup NasmSample
  \file    NasmSample.cpp
  \brief   This NasmSample.cpp file contains the main entry point of a Sample application
  \author  rauth@hhi.fraunhofer.de
  \date    7/15/2009

  Copyright:
  2009 Fraunhofer Institute for Telecommunications, Heinrich-Hertz-Institut (HHI)
  The copyright of this software source code is the property of HHI.
  This software may be used and/or copied only with the written permission
  of HHI and in accordance with the terms and conditions stipulated
  in the agreement/contract under which the software has been supplied.
  The software distributed under this license is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either expressed or implied.
*/

#include "NasmTestPch.h"
#include <iostream>

extern "C" {
  int add_int_values_asm( int iValue1, int iValue2 );
}


int main( int argc, char* argv[] )
{
  std::cout << "NasmTest: starting ... " << std::endl;
  std::cout << "Sum( 10, 20 ) = " << add_int_values_asm( 10, 20 ) << std::endl;
  std::cout << "NasmTest: exiting ... " << std::endl;

  return 0;
}
